#
# spec file for package rubygems (Version 0.9.2)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm ruby ruby-devel sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           rubygems
#
Version:        0.9.2
Release:        4.1
#
License:        Other uncritical OpenSource License
Group:          Development/Languages/Ruby
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-devel >= 1.8.4
Requires:       ruby-devel >= 1.8.4
Provides:       rubygems_with_buildroot_patch
#
URL:            http://rubyforge.org/projects/rubygems/
Source:         http://rubyforge.org/frs/download.php/17190/rubygems-0.9.2.tgz
Source1:        gem_build_cleanup
Patch:          rubygems-0.9.2_buildroot.patch
#
Summary:        The Ruby standard for publishing and managing third party libraries.

%description
RubyGems is the Ruby standard for publishing and managing third party
libraries.



Authors:
--------
    Rich Kilmer <rich@infoether.com>
    Chad Fowler <chad@chadfowler.com>
    David Black <dblack@wobblini.net>
    Paul Brannan <paul@atdesk.com>
    Jim Weirch <jim@weirichhouse.org>
    Gavin Sinclair <gsinclair@soyabean.com.au>
    George Marrows<george.marrows@ntlworld.com>
    Dick Davies <rasputnik@hellooperator.net>
    Mauricio Fernandez <batsman.geo@yahoo.com>
    Simon Strandgaard <neoneye@adslhome.dk>
    Dave Glasser <glasser@mit.edu>
    Paul Duncan <pabs@pablotron.org>
    Ville Aine <vaine@cs.helsinki.fi>

%debug_package
%prep
%setup -n %{name}-%{version}
%patch

%build
ruby -rvendor-specific setup.rb config
ruby -rvendor-specific setup.rb setup
ruby doc/makedoc.rb

%install
GEM_HOME=%{buildroot}%{_libdir}/ruby/gems/%{rb_ver}/ \
    ruby -rvendor-specific setup.rb install --prefix=%{buildroot}
%{__install} -D -m 0755 %{S:1} %{buildroot}%{_bindir}/gem_build_cleanup

%clean
%{__rm} -rf %{buildroot};

%files
%defattr(-,root,root)
%doc README TODO ChangeLog Releases examples gemspecs
%{_bindir}/gem_build_cleanup
%{_bindir}/gem
%{_bindir}/gemri
%{_bindir}/gemlock
%{_bindir}/gemwhich
%{_bindir}/gem_mirror
%{_bindir}/gem_server
%{_bindir}/index_gem_repository.rb
%{_bindir}/update_rubygems
%dir %{_libdir}/ruby/vendor_ruby/%{rb_ver}/rbconfig/
%{_libdir}/ruby/vendor_ruby/%{rb_ver}/rbconfig/datadir.rb
%{_libdir}/ruby/vendor_ruby/%{rb_ver}/gemconfigure.rb
%{_libdir}/ruby/vendor_ruby/%{rb_ver}/*ubygems.rb
%dir %{_libdir}/ruby/vendor_ruby/%{rb_ver}/rubygems/
%{_libdir}/ruby/vendor_ruby/%{rb_ver}/rubygems/*
%dir %{_libdir}/ruby/gems/
%dir %{_libdir}/ruby/gems/%{rb_ver}
%dir %{_libdir}/ruby/gems/%{rb_ver}/cache/
%dir %{_libdir}/ruby/gems/%{rb_ver}/doc/
%dir %{_libdir}/ruby/gems/%{rb_ver}/gems/
%dir %{_libdir}/ruby/gems/%{rb_ver}/specifications/
%{_libdir}/ruby/gems/%{rb_ver}/cache/*
%{_libdir}/ruby/gems/%{rb_ver}/gems/*
%{_libdir}/ruby/gems/%{rb_ver}/specifications/*
%{_libdir}/ruby/gems/%{rb_ver}/doc/*

%changelog
* Mon Feb 12 2007 - mrueckert@suse.de
- fixed rubygems-0.9.2_buildroot.patch:
  do not break gems with scripts in bindir
* Thu Feb 08 2007 - mrueckert@suse.de
- update to rubygems 0.9.2:
  * The "unpack" command now works properly.
  * User name and password are now passed properly to the
  authenticating proxy when downloading gems.
  * check installation paths for gems before writing files to avoid
  various kinds of exploits. (#235110)
- remove the provies on rake
- rediffed rubygems-0.9.0_buildroot.patch
  new name rubygems-0.9.2_buildroot.patch
- removed rubygems-ext.diff (was a backport)
* Mon Oct 30 2006 - mrueckert@suse.de
- added Provides: rake = %%{version}-%%{release} for easier compat
  with older packages
* Sun Oct 15 2006 - mrueckert@suse.de
- added gem_build_cleanup to delete temporary files from native
  extensions.
* Sun Oct 01 2006 - mrueckert@suse.de
- added rubygems-ext.diff: dont run make clean
  patch from the mailinglist
* Sun Oct 01 2006 - mrueckert@suse.de
- install into vendor_ruby
* Thu Jun 29 2006 - mrueckert@suse.de
- package %%{_libdir}/ruby/%%{rb_ver}/rbconfig
* Thu Jun 29 2006 - mrueckert@suse.de
- update to version 0.9.0:
  Major Enhancments include:
  * The gem index is now downloaded incrementally, only updating
  entries that are out of date. If more than 50 entries are out
  of date, we revert back to a bulk download.
  * Several patches related to allowing RubyGems to work with
  authenticating proxies (from Danie Roux and Anatol Pomozov).
  Just put the user and password in the proxy URL (e.g. -p
  http://user:password@proxy.address.com:8080) or use
  the HTTP_PROXY_USER and HTTP_PROXY_PASS environment variables.
  * The gem unpack command can now accept a file path rather than
  just a install gem name.
  * Both RI and RDOC documents are now generated by default.
  * A gemri command is included to read gem RI docs (only needed
  for Ruby 1.8.4 or earlier).
  Minor enhancements include:
  * Verison 0.0.0 is now a valid gem version.
  * Better detection of missing SSL functionality.
  * SSL is not required if the security policy does not require
  signature checking.
  * Rake built extensions are now supported (Tilman Sauerbeck).
  * Several autorequire bug fixes.
  * --traceback is now an alias for --backtrace (I can never
  remember which one it is).
  * SAFE=1 compatibility fixes.
  * .rbw is now a supported suffix for RubyGem's custom require.
  * Several Ruby 1.9 compatibility fixes (Eric Hodel).
  Bug Fixes:
  * Added dashes to gemspecs generated in Ruby 1.8.3. This solves
  some cross-Ruby version compatibility issues.
  * Fixed bug where the wrong executables could be uninstalled
  (Eric Hodel).
  * Fixed bug where gem unpack occasionally unpacked the wrong gem.
  * Fixed bug where a fatal error occured when permissions on
  .gemrc were too restrictive (reported by Luca Pireddu).
  * Fixed prefix handling for native expressions
  (patch by Aaron Patterson).
  * Fixed several Upgrade => Update typos.
* Wed Jun 21 2006 - mrueckert@suse.de
- no longer bump the version. we use a virtual provide now to make
  sure the --build-root patch is applied
* Tue Jun 20 2006 - ro@suse.de
- fix filelist for last change
* Mon Jun 19 2006 - mrueckert@suse.de
- added %%{_libdir}/ruby/gems/%%{rb_ver}/doc/
* Wed Jun 07 2006 - mrueckert@suse.de
- added rubygems-0.8.11_buildroot.patch:
  add "--build-root" to the "gem install" command.
  Backport of my patch against CVS HEAD
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Sep 01 2005 - mrueckert@suse.de
- dont install into site_ruby
- remove the site_ruby entries
* Mon Aug 22 2005 - mrueckert@suse.de
- added missing %%dir entry in the file list
* Mon Aug 22 2005 - ro@suse.de
- added ruby-devel to nfb
* Tue Aug 16 2005 - mrueckert@suse.de
- Update to version 0.8.11
* Sun Jul 10 2005 - mrueckert@suse.de
- Started package with version 0.8.10
